E-MailRelay

Public Member Functions | List of all members
G::Cleanup::Arg Struct Reference

Opaque leaky string pointer wrapper created by G::Cleanup::arg(). More...

`#include <gcleanup.h>`

## Public Member Functions
const char * | str () const noexcept
bool | isPath () const noexcept

## Detailed Description

Opaque leaky string pointer wrapper created by G::Cleanup::arg().

Definition at line 54 of file gcleanup.h.

## Member Function Documentation

## ◆ isPath()

bool G::Cleanup::Arg::isPath | ( |  | ) | const
| noexcept

Definition at line 146 of file gcleanup_unix.cpp.

## ◆ str()

const char * G::Cleanup::Arg::str | ( |  | ) | const
| noexcept

Definition at line 152 of file gcleanup_unix.cpp.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gcleanup.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gcleanup_unix.cpp
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gcleanup_win32.cpp